Article ID: 117849, created on Oct 10, 2013, last review on Jul 17, 2015

  • Applies to:
  • Operations Automation 5.5

Symptoms

POA task “APS application 'pa4wp', id 101 : importing APS package 'pa4wp-11.5.7-2025.app.zip'" fails with the following message:

--->8---
Package is not valid accordingly to APS specification:
---8<---

Cause

Possible reason is inability to initialize of Java VM on the node where WPB package is imported because of incorrect file /usr/java/jdk1.6.0_39/jre/lib/rt.jar. For instance, the following error might occur:

~# /usr/local/pem/APS/tools/apslint/apslint.sh /usr/local/pem/APS/packages/pa4wp-11.5.7-2025.app.zip
Error occurred during initialization of VM
java/lang/ClassNotFoundException: error in opening JAR file /usr/java/jdk1.6.0_39/jre/lib/rt.jar

 
The same error also occurs when user tries to run command java -version

Resolution

POA developers know about the issue. Bug is POA-81486.
As a workaround verify Java VM status.

5b048d9bddf8048a00aba7e0bdadef37 caea8340e2d186a540518d08602aa065 5356b422f65bdad1c3e9edca5d74a1ae 2554725ed606193dd9bbce21365bed4e e12cea1d47a3125d335d68e6d4e15e07

Email subscription for changes to this article
Save as PDF